DOVEADM-MOVE(1)

NAME
doveadm-move - Move messages matching the given search query into another mailbox

SYNOPSIS

doveadm [GLOBAL OPTIONS] move [-S socket_path] -A destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] move [-S socket_path] -F file destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] move [-S socket_path] --no-userdb-lookup destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] move [-S socket_path] -u user destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] copy [-S socket_path] -A destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] copy [-S socket_path] -F file destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] copy [-S socket_path] --no-userdb-lookup destination [user source_user] search_query

doveadm [GLOBAL OPTIONS] copy [-S socket_path] -u user destination [user source_user] search_query

DESCRIPTION

doveadm move can be used for moving mails between mailboxes for one or more users. The search_query is used to restrict which messages are moved into the destination mailbox.

doveadm copy behaves the same as doveadm move, except that copied messages will not be expunged after copying.

In the first form, doveadm(1) will iterate over all users, found in the configured

In the second form, doveadm(1) will iterate over all users, found in the given

In the third form, matching mails will be moved or copied only for given user(s).

GLOBAL OPTIONS

Global doveadm(1)

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

OPTIONS

-A

        If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

        When the SQL userdb module is used, make sure that the userdb_sql_iterate_query setting setting matches your database layout.

        When using the LDAP userdb module, make sure that the userdb_fields setting and userdb_ldap_iterate_fields setting settings match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file

        Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

--no-userdb-lookup

        Do not perform userdb lookup. Use the USER environment variable to specify the username.

-S socket_path

        The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

ARGUMENTS

destination

        The name of the destination mailbox, into which the mails should be moved or copied. The destination mailbox must exist, otherwise this command will fail.

search_query

        Move/copy messages matching the given search query. See doveadm-search-query(7) for details.

user source_user

         followed by a valid user name. When this argument is present, doveadm(1) will apply the

        Limitation: Currently the users, specified by -u user and user source_user, must share the same system UID and GID.

EXAMPLE

Move jane's messages - received in September 2011 - from her INBOX into her archive:

    doveadm move -u jane Archive/2011/09 mailbox INBOX BEFORE \
      2011-10-01 SINCE 01-Sep-2011

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: https://dovecot.org/bugreport.html

SEE ALSO

doveadm(1)